<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<!-- 黑卡 -->
<style>

</style>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h2">天幕</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <p>
                材质
            </p>
            <div class="layui-form-item">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select">
                    <option value=""></option>
                    <option value="银胶涤纶布">银胶涤纶布</option>
                    <option value="黑胶涤纶布">黑胶涤纶布</option>
                    <option value="防水布">防水布</option>
                </select>
            </div>
            <input type="hidden" name="proTypeValue" class="layui-input" value="天幕">
            <input type="hidden" id="proTypeValue" value="天幕">
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
                <span>
                    <input type="checkbox" name="switchSize" lay-filter="switchSize" title="自定义尺寸">
                </span>
                <span style="font-size:14px;color:red">尺寸超过160cm需要拼接！</span>
            </p>
            <div class="layui-form-item">
                <select name="size" id="size" class="layui-form-select">
                    <option value="290*290">290*290cm</option>
                    <option value="420*390">420*390cm</option>
                    <option value="420*490">420*490cm</option>
                </select>
            </div>
            <div class="layui-form-item" style="display: none">
                <input type="text" name="size" id="diySize" placeholder="格式:长*宽" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量（个）
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="count" class="layui-input"
                       lay-verify="number">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <p>
                安装包(五件套)<span style="font-size:14px;color:red">伸缩杆：直径2.5厘米2根、防风绳： 4米固定8条、地钉： 8颗、三角扣：（车间车在各个吊耳上面）、安装包</span>
            </p>
            <div class="layui-form-item" style="display: flex;align-items: center">
                配件:
                <input type="checkbox" name="craft" lay-filter="switch" value="防风绳" title="防风绳">
                <span class="layui-inline" id="ffs" style="display: none;width: 100px;align-items: center">
                    <input type="text" name="pcount" value="0" placeholder="请输入整数" class="layui-input" autocomplete="off"><span
                        style="flex-shrink: 0">(4米/条)</span>
                </span>
                <input type="checkbox" name="craft" lay-filter="switch" value="安装包" title="安装包" checked>
                <span class="layui-inline" id="shuliang" style="display: flex;width: 100px;align-items: center">
                    <input type="text" name="shuliang" value="0" placeholder="请输入整数" class="layui-input" autocomplete="off"><span
                        style="flex-shrink: 0">套</span>
                </span>
                <input type="checkbox" name="craft" lay-filter="switch" value="圆盘" title="圆盘">
                <span class="layui-inline" id="yuanpan" style="display: none;width: 100px;align-items: center">
                    <input type="text" name="stickNum" value="0" placeholder="请输入整数" class="layui-input" autocomplete="off"><span
                        style="flex-shrink: 0">套</span>
                </span>
            </div>
            <%--            <p>--%>
            <%--                印刷<span--%>
            <%--                    style="font-size:14px;color:red">印刷内容空白 工艺是模切的话 文件名要备注定制</span>--%>
            <%--            </p>--%>
            <%--            <div class="layui-input-block">--%>
            <%--                <input type="radio" name="craft" lay-filter="switch" value="空白" title="空白" lay-skin="primary">--%>
            <%--                <input type="radio" name="craft" lay-filter="switch" value="定制" title="定制" lay-skin="primary" checked>--%>
            <%--            </div>--%>
            <p>
                工艺
            </p>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="switch" value="裁切吊耳" title="裁切吊耳">
                <input type="checkbox" name="craft" lay-filter="switch" value="模切吊耳" title="模切吊耳">
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div" style="margin-left:50px;">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;

        //建造实例
        ins = carousel.render({});

        function getProductImage(craft) {

            $("#carousel").empty();
            $("#remark").empty();
            let data = {proTypeValue: "天幕"}
            let remark = "";
            let html = "";
            if (craft != '' && craft == '定制') {
                data.craftValue = craft;
            }
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data,
                //dataType : "json",
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        // 只留一个remark
                        remark = "";
                        html += '<div><img style="width:100%;height: 100%;object-fit: contain" src="' + result[i].imgUrl + '"></div>';
                        remark += '<div><span>' + result[0].remark + '<span/></div>';
                    }
                    $("#carousel").append(html);
                    // 如果没有说明，就不显示null
                    if (remark.indexOf("null") < 0) {
                        $("#remark").append(remark);
                    }
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        }

        form.on("radio(switch)", (data) => {
            getProductImage(data.elem.checked ? data.value : '');
        })
        form.on('checkbox(switchSize)', function (data) {
            $("#diySize").parent().hide()
            $("#size").parent().show()
            $("#size").attr("disabled", false);
            $("#diySize").attr("disabled", true);
            if (data.elem.checked) {
                $("#diySize").parent().show()
                $("#size").parent().hide()
                $("#size").attr("disabled", true);
                $("#diySize").attr("disabled", false);

            }
            form.render();
        })
        const carft_list1 = ["裁切", "模切"];

        const carft_list2 = ["防风绳", "安装包"];
        form.on("checkbox(switch)", (data) => {
            let craft_list = []
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    craft_list.push($(this).val())
                }
            })
            const carft1 = carft_list1.filter(craft => craft_list.includes(craft));
            if (carft1.length > 1) {
                $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
                $(data.elem).prop("checked", false);
                layer.msg('裁切-模切不能同时选择！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            // const carft2 = carft_list2.filter(craft => craft_list.includes(craft));
            // if (carft2.length > 1) {
            //     $(data.elem).next().attr("class", "layui-unselect layui-form-checkbox");
            //     $(data.elem).prop("checked", false);
            //     layer.msg('防风绳-安装包不能同时选择！', {offset: ['300px', '300px']}, function () {
            //     });
            //     return false;
            // }
            if (data.value == '安装包') {
                if (data.elem.checked) {
                    $("#shuliang").css("display", "flex");
                } else {
                    $("input[name='shuliang']").val(0)
                    $("#shuliang").hide()
                }

            }
            if (data.value == '圆盘') {
                if (data.elem.checked) {
                    $("#yuanpan").css("display", "flex");
                } else {
                    $("input[name='stickNum']").val(0)
                    $("#yuanpan").hide()
                }

            }
            if (data.value == '防风绳') {
                if (data.elem.checked) {
                    $("#ffs").css("display", "flex");
                } else {
                    $("input[name='pcount']").val(0)
                    $("#ffs").hide()
                }

            }

            getProductImage(data.elem.checked ? data.value : '');
        })

        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {

            let size = $("#size").val();
            let count = $("#count").val();
            let craft_list = [];
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is("disabled")) {
                    if ($(this).val() == "抠图") {
                        craft_list.push($(this).val() + $("input[name='cropNumber']").val());
                        return;
                    }
                    craft_list.push($(this).val())
                }
            })
            let shuliang = $("input[name='shuliang']").val();
            if (craft_list.includes("安装包") && shuliang == 0) {
                layer.msg('请输入安装包数量！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ($("input[name='switchSize']").is(":checked")) {
                size = $("#diySize").val();
            }
            if (!size) {
                layer.msg('请输入尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (!count) {
                layer.msg('请输入数量！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (size.split("*")[0] < 50 || size.split("*")[1] < 50) {
                layer.msg('天幕最小尺寸50*50cm！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            // if (size.split("*")[0] > 160 || size.split("*")[1] > 160) {
            //     layer.msg('天幕尺寸超过160cm需要拼接！', {offset: ['300px', '300px']}, function () {
            //     });
            // }
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    let arr = [];
                    let data = result.data.proList;
                    let kind = $("select[name='kindValue'] option:selected").val();
                    let number = $("#number").val();
                    let shuliang = $("input[name='shuliang']").val() || 0;
                    let pcount = $("input[name='pcount']").val() || 0;
                    let stickNum = $("input[name='stickNum']").val() || 0;
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            if ($(this).val() == "安装包") {
                                arr.push($(this).val() + shuliang)
                            } else if ($(this).val() == "防风绳") {
                                arr.push($(this).val() + pcount)
                            } else if ($(this).val() == "圆盘") {
                                arr.push($(this).val() + stickNum)
                            } else {
                                arr.push($(this).val())
                            }
                        }
                    })

                    let span_result = kind + ' - ' + size + ' 厘米 -(同款内容)\n' + "工艺 :" + arr.join(",") + "\n";

                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "个，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    getRemark($("#proTypeValue").val(), size, count, kind, number, arr, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });

</script>
</html>